package com.gic.haoban.manage.api.service.moment;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.moment.QwMomentPlanAttendDTO;
import com.gic.haoban.manage.api.dto.moment.QwMomentPlanDTO;
import com.gic.haoban.manage.api.dto.moment.QwMomentPlanDataDTO;
import com.gic.haoban.manage.api.qdto.moment.PlanClerkListQDTO;
import com.gic.haoban.manage.api.qdto.moment.PlanDataListQDTO;
import com.gic.haoban.manage.api.qdto.moment.QwMomentPlanQDTO;

public interface QwMomentApiService {

    ServiceResponse<QwMomentPlanDTO> save(QwMomentPlanDTO plan) ;

    ServiceResponse<Void> del(Long planId) ;

    ServiceResponse<Void> stop(Long planId) ;

    ServiceResponse<QwMomentPlanDTO> detail(Long planId) ;

    ServiceResponse<Page<QwMomentPlanDTO>> planList(QwMomentPlanQDTO qdto) ;

    ServiceResponse<Page<QwMomentPlanAttendDTO>> attendList(PlanClerkListQDTO qdto) ;

    ServiceResponse<Page<QwMomentPlanDataDTO>> dataList(PlanDataListQDTO qdto) ;

    /**
     * 全部导购处理
     * @param params
     */
    void initTaskClerk(String params) ;


    /**
     * 定时发送任务创建通知/执行
     * @param params
     */
    void sendPlanNoticeTimer(String params) ;

}
